summaryrefslogtreecommitdiffstats
path: root/network/proxymini/proxymini.SlackBuild
diff options
context:
space:
mode:
author Thomas Morper2010-05-13 01:00:19 +0200
committer Robby Workman2010-05-13 01:00:19 +0200
commita2b44dcb8bab6d8b782e915c9a78cffea9633dc5 (patch)
tree73a095ba8c433e7b21220c4d67329a6b04ba0bd1 /network/proxymini/proxymini.SlackBuild
parent6f387e58eff375c08e5d432543ba274477eb7239 (diff)
downloadslackbuilds-a2b44dcb8bab6d8b782e915c9a78cffea9633dc5.tar.gz
network/proxymini: Added to 13.0 repository
Diffstat (limited to 'network/proxymini/proxymini.SlackBuild')
-rw-r--r--network/proxymini/proxymini.SlackBuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/network/proxymini/proxymini.SlackBuild b/network/proxymini/proxymini.SlackBuild
new file mode 100644
index 0000000000..ac9e4369f2
--- /dev/null
+++ b/network/proxymini/proxymini.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for proxymini
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+PRGNAM=proxymini
+VERSION=${VERSION:-0.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -d $PRGNAM-$VERSION $CWD/$PRGNAM.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type f -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin
+cp -a proxymini $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cat $CWD/proxymini.1 > $PKG/usr/man/man1/proxymini.1
+gzip -9 $PKG/usr/man/man1/proxymini.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}